/* dellFarmer.cpp displays the lyrics for "The Farmer in the Dell".
 * using a function verse().
 *
 * Input:  none
 * Output: lyrics for the "The Farmer in the Dell"
 ****************************************************************/

#include <iostream>              // cin, cout, >>, <<
#include <string>                // string
using namespace std;

string verse(string restOfLine);

int main()
{
   cout << verse("farmer in the dell")
        << verse("farmer takes a wife")
        << verse("wife takes a child")
        << verse("child takes a nurse")
        << verse("nurse takes a cow")
        << verse("cow takes a dog")
        << verse("dog takes a cat")
        << verse("cat takes a rat")
        << verse("rat takes the cheese")
        << verse("cheese stands alone") << endl;



   return 0;
}


/* verse() builds one verse of "The Farmer in the Dell".
 *
 * Receive: restOfLine, a string.
 * Return:  a verse with restOfLine inserted appropriately.
 **************************************************************/

string verse(string restOfLine)
{
   const string aVerse = 
                      "\nThe " + restOfLine + "\n" +
                      "The " + restOfLine +  "\n" +
                      "Hi-ho, the derry-o\n" +
                      "The " + restOfLine + "\n";
   return aVerse;
}
